POST /listings/v3/details

Summary:
Retrieve detailed listing information for the specified SKU IDs.
Description:

This call fetches detailed listing information for the specified SKUs. If the SKU does not exist in the system, then it will be identified in the unavailable field in the response. Invalid SKU IDs will be listed in the invalid field.

Maximum 10 SKU IDs are supported per request.

The authorization header is mandatory to access this API along with all other Flipkart Seller APIs.

In addition to the authorization header, which is required for all Flipkart REST API calls, the following table includes additional headers required by this call:

Header Description Required Allowed Values
Content-Type The MIME type of the body of the request. Must be JSON. Yes application/json; charset=utf-8
Input:
☰ Toggle

Request Body

Request field descriptions

Parameter Type Occurrence Description
sku_ids Array Mandatory Array of SKU IDs to fetch listing details for. Maximum: 10
Output:
☰ Toggle

Response Headers

Header Meaning
Content-Type application/json; charset=utf-8

Status Codes

This call may return the HTTP status codes defined in the table below.

Status Interpretation
200 Success.
400 Bad Request
401 Client unauthorized
500 Internal Server Error

Payload Model

  1. 200 OK
  1. 400 Bad Request
  1. 500 Internal Server Error

Response field descriptions

Field Type Occurrence Description
available Map Conditional Holds the listing information for the requested SKU IDs.
unavailable List Conditional The list of SKU IDs for which listing information could not be retrieved.
invalid List Conditional The list of SKU IDs which are invalid according to the API contract’s specifications.